/*
 phencal.h

 Parameter names and definitions for the phencal program.

 This file is part of SPLITS, a framework for spline analysis of
 time series.

 Copyright (C) 2010-2015  Sebastian Mader

 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef SPLITS_PHENCAL_H
#define SPLITS_PHENCAL_H

namespace splits {

const int npar = 18;
const int npar_g = 26;

char *param_names[] = {
  "DOY_Early_Min",
  "DOY_Early_Flex",
  "DOY_Peak",
  "DOY_Late_Flex",
  "DOY_Late_Min",
  "Early_Min_Val",
  "Early_Flex_Val",
  "Peak_Val",
  "Late_Flex_Val",
  "Late_Min_Val",
  "Min_Min_Duration",
  "Amplitude",
  "Latent_Val",
  "Min_Min_Integral",
  "Latent_Integral",
  "Total_Integral",
  "Early_Flex_Rate",
  "Late_Flex_Rate",
  "DOY_Start_Green",
  "DOY_End_Green",
  "Start_Green_Val",
  "End_Green_Val",
  "Green_Duration",
  "Green_Integral",
  "Greenup_Rate",
  "Senescence_Rate"
}; 

} //namespace splits

#endif
